import 'package:account/src/core/providers/account_repository_provider.dart';
import 'package:account/src/features/personal_data/domain/update_user_use_case.dart';
import 'package:account/src/features/personal_data/domain/update_user_use_case_impl.dart';
import 'package:flutter_riverpod/flutter_riverpod.dart';

final updateUserUseCaseProvider = Provider.autoDispose<UpdateUserUseCase>((ref) {
  final authRepository = ref.read(accountRepositoryProvider);
  return UpdateUserUseCaseImpl(authRepository);
});
